docs api reference API (v2) Reference Introduction Base URL: https://api.magicbell.com/v2
For authentication, rate limits, and errors, please refer to the API documentation .
Broadcasts Broadcasts let you fan out an announcement to every relevant user or topic. Use these APIs to create announcements, inspect their status, and audit how they generated notifications and deliveries across your project.
Related guides:
Broadcast Primitive POST /broadcasts
GET /broadcasts/{broadcast_id}
GET /broadcastsThe Broadcasts object Attributes action_url
nullable string
The URL recipients will be directed to when interacting with the broadcast.
The label used to group broadcasts.
max length: 255
pattern: ^[A-Za-z0-9_\.\-/:]+$
The body content delivered with the broadcast.
The timestamp when the broadcast was created.
custom_attributes
nullable object
Arbitrary custom data associated with the broadcast.
The unique id for this broadcast.
Channel- or provider-specific values that override the defaults.
Overrides that are scoped to individual delivery channels.
Overrides for email notifications.
The channel-specific title.
min length: 1
max length: 255
The channel-specific content.
action_url
nullable string
The link associated with the channel-specific notification.
Overrides for SMS notifications.
The channel-specific title.
min length: 1
max length: 255
The channel-specific content.
action_url
nullable string
The link associated with the channel-specific notification.
Overrides for in-app notifications.
The channel-specific title.
min length: 1
max length: 255
The channel-specific content.
action_url
nullable string
The link associated with the channel-specific notification.
Overrides for mobile push notifications.
action_url
nullable string
The link associated with the channel-specific notification.
The channel-specific title.
min length: 1
max length: 255
The channel-specific content.
Overrides that are scoped to specific providers for a channel.
Provider-specific overrides for Mailgun.
Provider-specific overrides for AWS SES.
Provider-specific overrides for Sendgrid.
Provider-specific overrides for Firebase Cloud Messaging.
Provider-specific overrides for Expo push notifications.
Provider-specific overrides for Apple Push Notification service.
Provider-specific overrides for Slack.
Provider-specific overrides for the web push provider.
Provider-specific overrides for Microsoft Teams.
Provider-specific overrides for Twilio.
recipients
nullable array required
A collection of users or filters that determine who receives the broadcast.
min items: 1
max items: 1000
The recipient specification for the broadcast.
The runtime state of the broadcast execution.
The overall processing status of the broadcast.
Possible enum values:
enqueued
processing
processed
The summary counts for total recipients and failures.
The number of recipients that the broadcast was sent to.
The number of failures while processing the broadcast.
errors
nullable array required
A list of errors encountered while processing the broadcast.
The details about the processing error.
The subject or headline that will be shown to recipients.
min length: 1
max length: 255
The topic that further classifies the broadcast.
max length: 255
pattern: ^[A-Za-z0-9_\.\-/:]+$
{
"id": "d1b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b",
"title": "Hello, World!",
"content": "I come from broadcast",
"action_url": "https://example.com",
"category": "example",
"topic": "example",
"custom_attributes": {},
"recipients": [
{
"external_id": "83d987a-83fd034",
"email": "[email protected] ",
"first_name": "Person",
"last_name": "Doe",
"custom_attributes": {
"plan": "enterprise",
"pricing_version": "v10",
"preferred_pronoun": "They"
},
"phone_numbers": [
"+1 5005550001"
]
}
],
"overrides": {}
}
Create a broadcast Creates a new broadcast. When a broadcast is created, it generates individual notifications for relevant users within the project.
Request body action_url
nullable string
The URL recipients will be directed to when interacting with the broadcast.
The label used to group broadcasts.
max length: 255
pattern: ^[A-Za-z0-9_\.\-/:]+$
The body content delivered with the broadcast.
The timestamp when the broadcast was created.
custom_attributes
nullable object
Arbitrary custom data associated with the broadcast.
The unique id for this broadcast.
Channel- or provider-specific values that override the defaults.
Overrides that are scoped to specific providers for a channel.
Provider-specific overrides for Sendgrid.
Provider-specific overrides for Twilio.
Provider-specific overrides for Mailgun.
Provider-specific overrides for Expo push notifications.
Provider-specific overrides for Apple Push Notification service.
Provider-specific overrides for Slack.
Provider-specific overrides for Microsoft Teams.
Provider-specific overrides for AWS SES.
Provider-specific overrides for Firebase Cloud Messaging.
Provider-specific overrides for the web push provider.
Overrides that are scoped to individual delivery channels.
Overrides for in-app notifications.
The channel-specific title.
min length: 1
max length: 255
The channel-specific content.
action_url
nullable string
The link associated with the channel-specific notification.
Overrides for mobile push notifications.
The channel-specific content.
action_url
nullable string
The link associated with the channel-specific notification.
The channel-specific title.
min length: 1
max length: 255
Overrides for email notifications.
The channel-specific title.
min length: 1
max length: 255
The channel-specific content.
action_url
nullable string
The link associated with the channel-specific notification.
Overrides for SMS notifications.
The channel-specific title.
min length: 1
max length: 255
The channel-specific content.
action_url
nullable string
The link associated with the channel-specific notification.
recipients
nullable array required
A collection of users or filters that determine who receives the broadcast.
min items: 1
max items: 1000
The recipient specification for the broadcast.
The runtime state of the broadcast execution.
The overall processing status of the broadcast.
Possible enum values:
enqueued
processing
processed
The summary counts for total recipients and failures.
The number of recipients that the broadcast was sent to.
The number of failures while processing the broadcast.
errors
nullable array required
A list of errors encountered while processing the broadcast.
The details about the processing error.
The subject or headline that will be shown to recipients.
min length: 1
max length: 255
The topic that further classifies the broadcast.
max length: 255
pattern: ^[A-Za-z0-9_\.\-/:]+$
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request POST \
--url 'https://api.magicbell.com/v2/broadcasts' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN" \
--data '{"id":"d1b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b","title":"Hello, World!","content":"I come from broadcast","action_url":"https://example.com","category":"example","topic":"example","custom_attributes":{},"recipients":[{"external_id":"83d987a-83fd034","email":"[email protected] ","first_name":"Person","last_name":"Doe","custom_attributes":{"plan":"enterprise","pricing_version":"v10","preferred_pronoun":"They"},"phone_numbers":["+1 5005550001"]}],"overrides":{}}'
{
"id": "d1b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b",
"title": "Hello, World!",
"content": "I come from broadcast",
"action_url": "https://example.com",
"category": "example",
"topic": "example",
"custom_attributes": {},
"recipients": [
{
"external_id": "83d987a-83fd034",
"email": "[email protected] ",
"first_name": "Person",
"last_name": "Doe",
"custom_attributes": {
"plan": "enterprise",
"pricing_version": "v10",
"preferred_pronoun": "They"
},
"phone_numbers": ["+1 5005550001"]
}
],
"overrides": {}
}
Fetch a broadcast GET /broadcasts/{broadcast_id}
Retrieves detailed information about a specific broadcast by its ID. Includes the broadcast's configuration and current status.
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request GET \
--url 'https://api.magicbell.com/v2/broadcasts/{broadcast_id}' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN"
{
"id": "d1b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b",
"title": "Hello, World!",
"content": "I come from broadcast",
"action_url": "https://example.com",
"category": "example",
"topic": "example",
"custom_attributes": {},
"recipients": [
{
"external_id": "83d987a-83fd034",
"email": "[email protected] ",
"first_name": "Person",
"last_name": "Doe",
"custom_attributes": {
"plan": "enterprise",
"pricing_version": "v10",
"preferred_pronoun": "They"
},
"phone_numbers": ["+1 5005550001"]
}
],
"overrides": {}
}
List all broadcasts Retrieves a paginated list of broadcasts for the project. Returns basic information about each broadcast including its creation time and status.
Query parameters ending_before
nullable string
a cursor for use in pagination, points to the first ID in next page
defines the maximum number of items to return per page (default: 50)
starting_after
nullable string
a cursor for use in pagination, points to the last ID in previous page
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request GET \
--url 'https://api.magicbell.com/v2/broadcasts' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN"
{
"data":[{
"id": "d1b3b3b3-3b3b-3b3b-3b3b-3b3b3b3b3b3b",
"title": "Hello, World!",
"content": "I come from broadcast",
"action_url": "https://example.com",
"category": "example",
"topic": "example",
"custom_attributes": {},
"recipients": [
{
"external_id": "83d987a-83fd034",
"email": "[email protected] ",
"first_name": "Person",
"last_name": "Doe",
"custom_attributes": {
"plan": "enterprise",
"pricing_version": "v10",
"preferred_pronoun": "They"
},
"phone_numbers": ["+1 5005550001"]
}
],
"overrides": {}
}
],
"links": {
"first":"https://api.magicbell.com/v1/example",
"next":"https://api.magicbell.com/v1/example?page_next=abc",
"prev":null
}
}Channels Channels represent the mediums such as Email, Push, SMS, Slack, through which deliveries happen. These routes configure how each channel behaves inside a project, ensuring every notification honors user preferences and branding.
Related guides:
Channel Primitive Mobile Push APIs dedicated to the Mobile Push channel. Use them to connect devices, rotate credentials, and troubleshoot delivery for this medium.
PUT /channels/mobile_push/apns/tokens
GET /channels/mobile_push/apns/tokens/{token_id}
DELETE /channels/mobile_push/apns/tokens/{token_id}
GET /channels/mobile_push/apns/tokens
PUT /channels/mobile_push/expo/tokens
GET /channels/mobile_push/expo/tokens/{token_id}
DELETE /channels/mobile_push/expo/tokens/{token_id}
GET /channels/mobile_push/expo/tokens
PUT /channels/mobile_push/fcm/tokens
GET /channels/mobile_push/fcm/tokens/{token_id}
DELETE /channels/mobile_push/fcm/tokens/{token_id}
GET /channels/mobile_push/fcm/tokensThe Mobile Push object Attributes The bundle identifier of the application registering this token. Use this to override the default identifier configured on the APNs integration.
pattern: ^[a-zA-Z0-9]+(.[a-zA-Z0-9]+)*$
created_at
string required
The timestamp when the token was created.
device_token
string required
The APNs device token to register with MagicBell.
discarded_at
nullable string
The timestamp when the token was discarded, if applicable.
The unique identifier for the token.
The APNs environment this token belongs to. If omitted we assume it targets production.
updated_at
nullable string
The timestamp when the token metadata last changed.
{
"created_at": "2021-01-01T00:00:00Z",
"device_token": "eH0fLhuiRj2Np7UQ-opXAm:APA91bGtC-wH4sgW1jWkMKIZf7FYkm_RTQb7Jid7DfSJnCgivGYoRzhLrGxpcIF6yPjmbzAr6CKF-6phZkBasFUUfZmfdgcqfA_ZlZdVk6pSnon3LGzMumCzEJE0zgWoo_RUmVUVJUAt",
"discarded_at": "2021-01-01T00:00:00Z",
"id": "123",
"installation_id": "development",
"updated_at": "2021-01-01T00:00:00Z"
}Save an APNs token PUT /channels/mobile_push/apns/tokens
Saves the APNs token for the authenticated user. This token serves as a credential for accessing channel-specific functionality. Each token is unique to the user and channel combination, allowing for direct communication with the user via the channel.
Request body The bundle identifier of the application registering this token. Use this to override the default identifier configured on the APNs integration.
pattern: ^[a-zA-Z0-9]+(.[a-zA-Z0-9]+)*$
device_token
string required
The APNs device token to register with MagicBell.
The APNs environment this token belongs to. If omitted we assume it targets production.
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request PUT \
--url 'https://api.magicbell.com/v2/channels/mobile_push/apns/tokens' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN" \
--data '{"device_token":"eH0fLhuiRj2Np7UQ-opXAm:APA91bGtC-wH4sgW1jWkMKIZf7FYkm_RTQb7Jid7DfSJnCgivGYoRzhLrGxpcIF6yPjmbzAr6CKF-6phZkBasFUUfZmfdgcqfA_ZlZdVk6pSnon3LGzMumCzEJE0zgWoo_RUmVUVJUAt","installation_id":"development"}'
{
"device_token": "eH0fLhuiRj2Np7UQ-opXAm:APA91bGtC-wH4sgW1jWkMKIZf7FYkm_RTQb7Jid7DfSJnCgivGYoRzhLrGxpcIF6yPjmbzAr6CKF-6phZkBasFUUfZmfdgcqfA_ZlZdVk6pSnon3LGzMumCzEJE0zgWoo_RUmVUVJUAt",
"installation_id": "development"
}
Fetch an APNs token GET /channels/mobile_push/apns/tokens/{token_id}
Fetches details of a specific APNs token belonging to the authenticated user. Returns information about the token's status, creation date, and any associated metadata. Users can only access their own tokens.
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request GET \
--url 'https://api.magicbell.com/v2/channels/mobile_push/apns/tokens/{token_id}' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN"
{
"created_at": "2021-01-01T00:00:00Z",
"device_token": "eH0fLhuiRj2Np7UQ-opXAm:APA91bGtC-wH4sgW1jWkMKIZf7FYkm_RTQb7Jid7DfSJnCgivGYoRzhLrGxpcIF6yPjmbzAr6CKF-6phZkBasFUUfZmfdgcqfA_ZlZdVk6pSnon3LGzMumCzEJE0zgWoo_RUmVUVJUAt",
"discarded_at": "2021-01-01T00:00:00Z",
"id": "123",
"installation_id": "development",
"updated_at": "2021-01-01T00:00:00Z"
}Delete an APNs token DELETE /channels/mobile_push/apns/tokens/{token_id}
Deletes one of the authenticated user's APNs tokens. This permanently invalidates the specified token, preventing it from being used for future channel access. This action cannot be undone. Users can only revoke their own tokens.
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request DELETE \
--url 'https://api.magicbell.com/v2/channels/mobile_push/apns/tokens/{token_id}' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN"
{
"id": "123",
"discarded_at": "2021-01-01T00:00:00Z"
}List all APNs tokens GET /channels/mobile_push/apns/tokens
Lists all APNs tokens belonging to the authenticated user. Returns a paginated list of tokens, including their status, creation dates, and associated metadata.
Query parameters ending_before
nullable string
a cursor for use in pagination, points to the first ID in next page
defines the maximum number of items to return per page (default: 50)
starting_after
nullable string
a cursor for use in pagination, points to the last ID in previous page
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request GET \
--url 'https://api.magicbell.com/v2/channels/mobile_push/apns/tokens' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN"
{
"data":[{
"created_at": "2021-01-01T00:00:00Z",
"device_token": "eH0fLhuiRj2Np7UQ-opXAm:APA91bGtC-wH4sgW1jWkMKIZf7FYkm_RTQb7Jid7DfSJnCgivGYoRzhLrGxpcIF6yPjmbzAr6CKF-6phZkBasFUUfZmfdgcqfA_ZlZdVk6pSnon3LGzMumCzEJE0zgWoo_RUmVUVJUAt",
"discarded_at": "2021-01-01T00:00:00Z",
"id": "123",
"installation_id": "development",
"updated_at": "2021-01-01T00:00:00Z"
}],
"links": {
"first":"https://api.magicbell.com/v1/example",
"next":"https://api.magicbell.com/v1/example?page_next=abc",
"prev":null
}
}Save an Expo token PUT /channels/mobile_push/expo/tokens
Saves the Expo token for the authenticated user. This token serves as a credential for accessing channel-specific functionality. Each token is unique to the user and channel combination, allowing for direct communication with the user via the channel.
Request body device_token
string required
The Expo push token returned by the Expo client.
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request PUT \
--url 'https://api.magicbell.com/v2/channels/mobile_push/expo/tokens' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN" \
--data '{"device_token":"ExponentPushToken[xxxxxxxxxxxxxxxxxxxxxx]"}'
{
"device_token": "ExponentPushToken[xxxxxxxxxxxxxxxxxxxxxx]"
}
Fetch an Expo token GET /channels/mobile_push/expo/tokens/{token_id}
Fetches details of a specific Expo token belonging to the authenticated user. Returns information about the token's status, creation date, and any associated metadata. Users can only access their own tokens.
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request GET \
--url 'https://api.magicbell.com/v2/channels/mobile_push/expo/tokens/{token_id}' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN"
{
"created_at": "2021-01-01T00:00:00Z",
"device_token": "ExponentPushToken[xxxxxxxxxxxxxxxxxxxxxx]",
"discarded_at": "2021-01-01T00:00:00Z",
"id": "123",
"updated_at": "2021-01-01T00:00:00Z"
}Delete an Expo token DELETE /channels/mobile_push/expo/tokens/{token_id}
Deletes one of the authenticated user's Expo tokens. This permanently invalidates the specified token, preventing it from being used for future channel access. This action cannot be undone. Users can only revoke their own tokens.
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request DELETE \
--url 'https://api.magicbell.com/v2/channels/mobile_push/expo/tokens/{token_id}' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN"
{
"id": "123",
"discarded_at": "2021-01-01T00:00:00Z"
}List all Expo tokens GET /channels/mobile_push/expo/tokens
Lists all Expo tokens belonging to the authenticated user. Returns a paginated list of tokens, including their status, creation dates, and associated metadata.
Query parameters ending_before
nullable string
a cursor for use in pagination, points to the first ID in next page
defines the maximum number of items to return per page (default: 50)
starting_after
nullable string
a cursor for use in pagination, points to the last ID in previous page
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request GET \
--url 'https://api.magicbell.com/v2/channels/mobile_push/expo/tokens' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN"
{
"data":[{
"created_at": "2021-01-01T00:00:00Z",
"device_token": "ExponentPushToken[xxxxxxxxxxxxxxxxxxxxxx]",
"discarded_at": "2021-01-01T00:00:00Z",
"id": "123",
"updated_at": "2021-01-01T00:00:00Z"
}],
"links": {
"first":"https://api.magicbell.com/v1/example",
"next":"https://api.magicbell.com/v1/example?page_next=abc",
"prev":null
}
}Save a FCM token PUT /channels/mobile_push/fcm/tokens
Saves the FCM token for the authenticated user. This token serves as a credential for accessing channel-specific functionality. Each token is unique to the user and channel combination, allowing for direct communication with the user via the channel.
Request body device_token
string required
The Firebase Cloud Messaging device registration token to associate with the user.
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request PUT \
--url 'https://api.magicbell.com/v2/channels/mobile_push/fcm/tokens' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN" \
--data '{"device_token":"eH0fLhuiRj2Np7UQ-opXAm:APA91bGtC-wH4sgW1jWkMKIZf7FYkm_RTQb7Jid7DfSJnCgivGYoRzhLrGxpcIF6yPjmbzAr6CKF-6phZkBasFUUfZmfdgcqfA_ZlZdVk6pSnon3LGzMumCzEJE0zgWoo_RUmVUVJUAt","installation_id":"development"}'
{
"device_token": "eH0fLhuiRj2Np7UQ-opXAm:APA91bGtC-wH4sgW1jWkMKIZf7FYkm_RTQb7Jid7DfSJnCgivGYoRzhLrGxpcIF6yPjmbzAr6CKF-6phZkBasFUUfZmfdgcqfA_ZlZdVk6pSnon3LGzMumCzEJE0zgWoo_RUmVUVJUAt",
"installation_id": "development"
}
Fetch a FCM token GET /channels/mobile_push/fcm/tokens/{token_id}
Fetches details of a specific FCM token belonging to the authenticated user. Returns information about the token's status, creation date, and any associated metadata. Users can only access their own tokens.
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request GET \
--url 'https://api.magicbell.com/v2/channels/mobile_push/fcm/tokens/{token_id}' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN"
{
"created_at": "2021-01-01T00:00:00Z",
"device_token": "eH0fLhuiRj2Np7UQ-opXAm:APA91bGtC-wH4sgW1jWkMKIZf7FYkm_RTQb7Jid7DfSJnCgivGYoRzhLrGxpcIF6yPjmbzAr6CKF-6phZkBasFUUfZmfdgcqfA_ZlZdVk6pSnon3LGzMumCzEJE0zgWoo_RUmVUVJUAt",
"discarded_at": "2021-01-01T00:00:00Z",
"id": "123",
"installation_id": "development",
"updated_at": "2021-01-01T00:00:00Z"
}Delete a FCM token DELETE /channels/mobile_push/fcm/tokens/{token_id}
Deletes one of the authenticated user's FCM tokens. This permanently invalidates the specified token, preventing it from being used for future channel access. This action cannot be undone. Users can only revoke their own tokens.
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request DELETE \
--url 'https://api.magicbell.com/v2/channels/mobile_push/fcm/tokens/{token_id}' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN"
{
"id": "123",
"discarded_at": "2021-01-01T00:00:00Z"
}List all FCM tokens GET /channels/mobile_push/fcm/tokens
Lists all FCM tokens belonging to the authenticated user. Returns a paginated list of tokens, including their status, creation dates, and associated metadata.
Query parameters ending_before
nullable string
a cursor for use in pagination, points to the first ID in next page
defines the maximum number of items to return per page (default: 50)
starting_after
nullable string
a cursor for use in pagination, points to the last ID in previous page
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request GET \
--url 'https://api.magicbell.com/v2/channels/mobile_push/fcm/tokens' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN"
{
"data":[{
"created_at": "2021-01-01T00:00:00Z",
"device_token": "eH0fLhuiRj2Np7UQ-opXAm:APA91bGtC-wH4sgW1jWkMKIZf7FYkm_RTQb7Jid7DfSJnCgivGYoRzhLrGxpcIF6yPjmbzAr6CKF-6phZkBasFUUfZmfdgcqfA_ZlZdVk6pSnon3LGzMumCzEJE0zgWoo_RUmVUVJUAt",
"discarded_at": "2021-01-01T00:00:00Z",
"id": "123",
"installation_id": "development",
"updated_at": "2021-01-01T00:00:00Z"
}],
"links": {
"first":"https://api.magicbell.com/v1/example",
"next":"https://api.magicbell.com/v1/example?page_next=abc",
"prev":null
}
}In App APIs dedicated to the In App channel. Use them to connect devices, rotate credentials, and troubleshoot delivery for this medium.
PUT /channels/in_app/inbox/tokens
GET /channels/in_app/inbox/tokens/{token_id}
DELETE /channels/in_app/inbox/tokens/{token_id}
GET /channels/in_app/inbox/tokensThe In App object Attributes connection_id
nullable string
Realtime connection ID to restrict delivery to a specific Ably connection.
created_at
string required
The timestamp when the token was created.
discarded_at
nullable string
The timestamp when the token was discarded, if applicable.
The unique identifier for the token.
The in-app inbox token generated for this user.
updated_at
nullable string
The timestamp when the token metadata last changed.
{
"created_at": "2021-01-01T00:00:00Z",
"discarded_at": "2021-01-01T00:00:00Z",
"id": "123",
"token": "eH0fLhuiRj2Np7UQ-opXAm:APA91bGtC-wH4sgW1jWkMKIZf7FYkm_RTQb7Jid7DfSJnCgivGYoRzhLrGxpcIF6yPjmbzAr6CKF-6phZkBasFUUfZmfdgcqfA_ZlZdVk6pSnon3LGzMumCzEJE0zgWoo_RUmVUVJUAt",
"updated_at": "2021-01-01T00:00:00Z"
}Save an Inbox token PUT /channels/in_app/inbox/tokens
Saves the Inbox token for the authenticated user. This token serves as a credential for accessing channel-specific functionality. Each token is unique to the user and channel combination, allowing for direct communication with the user via the channel.
Request body connection_id
nullable string
Realtime connection ID to restrict delivery to a specific Ably connection.
The in-app inbox token generated for this user.
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request PUT \
--url 'https://api.magicbell.com/v2/channels/in_app/inbox/tokens' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN" \
--data '{"token":"eH0fLhuiRj2Np7UQ-opXAm:APA91bGtC-wH4sgW1jWkMKIZf7FYkm_RTQb7Jid7DfSJnCgivGYoRzhLrGxpcIF6yPjmbzAr6CKF-6phZkBasFUUfZmfdgcqfA_ZlZdVk6pSnon3LGzMumCzEJE0zgWoo_RUmVUVJUAt"}'
{
"token": "eH0fLhuiRj2Np7UQ-opXAm:APA91bGtC-wH4sgW1jWkMKIZf7FYkm_RTQb7Jid7DfSJnCgivGYoRzhLrGxpcIF6yPjmbzAr6CKF-6phZkBasFUUfZmfdgcqfA_ZlZdVk6pSnon3LGzMumCzEJE0zgWoo_RUmVUVJUAt"
}
Fetch an Inbox token GET /channels/in_app/inbox/tokens/{token_id}
Fetches details of a specific Inbox token belonging to the authenticated user. Returns information about the token's status, creation date, and any associated metadata. Users can only access their own tokens.
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request GET \
--url 'https://api.magicbell.com/v2/channels/in_app/inbox/tokens/{token_id}' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN"
{
"created_at": "2021-01-01T00:00:00Z",
"discarded_at": "2021-01-01T00:00:00Z",
"id": "123",
"token": "eH0fLhuiRj2Np7UQ-opXAm:APA91bGtC-wH4sgW1jWkMKIZf7FYkm_RTQb7Jid7DfSJnCgivGYoRzhLrGxpcIF6yPjmbzAr6CKF-6phZkBasFUUfZmfdgcqfA_ZlZdVk6pSnon3LGzMumCzEJE0zgWoo_RUmVUVJUAt",
"updated_at": "2021-01-01T00:00:00Z"
}Delete an Inbox token DELETE /channels/in_app/inbox/tokens/{token_id}
Deletes one of the authenticated user's Inbox tokens. This permanently invalidates the specified token, preventing it from being used for future channel access. This action cannot be undone. Users can only revoke their own tokens.
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request DELETE \
--url 'https://api.magicbell.com/v2/channels/in_app/inbox/tokens/{token_id}' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN"
{
"id": "123",
"discarded_at": "2021-01-01T00:00:00Z"
}List all Inbox tokens GET /channels/in_app/inbox/tokens
Lists all Inbox tokens belonging to the authenticated user. Returns a paginated list of tokens, including their status, creation dates, and associated metadata.
Query parameters ending_before
nullable string
a cursor for use in pagination, points to the first ID in next page
defines the maximum number of items to return per page (default: 50)
starting_after
nullable string
a cursor for use in pagination, points to the last ID in previous page
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request GET \
--url 'https://api.magicbell.com/v2/channels/in_app/inbox/tokens' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN"
{
"data":[{
"created_at": "2021-01-01T00:00:00Z",
"discarded_at": "2021-01-01T00:00:00Z",
"id": "123",
"token": "eH0fLhuiRj2Np7UQ-opXAm:APA91bGtC-wH4sgW1jWkMKIZf7FYkm_RTQb7Jid7DfSJnCgivGYoRzhLrGxpcIF6yPjmbzAr6CKF-6phZkBasFUUfZmfdgcqfA_ZlZdVk6pSnon3LGzMumCzEJE0zgWoo_RUmVUVJUAt",
"updated_at": "2021-01-01T00:00:00Z"
}],
"links": {
"first":"https://api.magicbell.com/v1/example",
"next":"https://api.magicbell.com/v1/example?page_next=abc",
"prev":null
}
}Slack APIs dedicated to the Slack channel. Use them to connect devices, rotate credentials, and troubleshoot delivery for this medium.
PUT /channels/slack/magicbell_slackbot/tokens
GET /channels/slack/magicbell_slackbot/tokens/{token_id}
DELETE /channels/slack/magicbell_slackbot/tokens/{token_id}
GET /channels/slack/magicbell_slackbot/tokens
PUT /channels/slack/tokens
GET /channels/slack/tokens/{token_id}
DELETE /channels/slack/tokens/{token_id}
GET /channels/slack/tokensThe Slack object Attributes created_at
string required
The timestamp when the token was created.
discarded_at
nullable string
The timestamp when the token was discarded, if applicable.
The unique identifier for the token.
channel_id
string required
The ID of the Slack channel this installation is associated with
installation_id
string required
A unique identifier for this Slack workspace installation
The OAuth scope granted during installation
updated_at
nullable string
The timestamp when the token metadata last changed.
Obtained directly from the incoming_webhook object in the installation response from the Slack API.
The URL for the incoming webhook from Slack
{
"created_at": "2021-01-01T00:00:00Z",
"discarded_at": "2021-01-01T00:00:00Z",
"id": "123",
"updated_at": "2021-01-01T00:00:00Z",
"webhook": {
"url": "https://example.com/webhook"
}
}Save a MagicBell SlackBot token PUT /channels/slack/magicbell_slackbot/tokens
Saves the MagicBell SlackBot token for the authenticated user. This token serves as a credential for accessing channel-specific functionality. Each token is unique to the user and channel combination, allowing for direct communication with the user via the channel.
Request body The OAuth scope granted during installation
channel_id
string required
The ID of the Slack channel this installation is associated with
installation_id
string required
A unique identifier for this Slack workspace installation
Obtained directly from the incoming_webhook object in the installation response from the Slack API.
The URL for the incoming webhook from Slack
Request
curl magicbell-go magicbell-js Copy curl --request PUT \
--url 'https://api.magicbell.com/v2/channels/slack/magicbell_slackbot/tokens' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN" \
--data '{"webhook":{"url":"https://example.com/webhook"}}'
{
"webhook": {
"url": "https://example.com/webhook"
}
}
Fetch a MagicBell SlackBot token GET /channels/slack/magicbell_slackbot/tokens/{token_id}
Fetches details of a specific MagicBell SlackBot token belonging to the authenticated user. Returns information about the token's status, creation date, and any associated metadata. Users can only access their own tokens.
Request
curl magicbell-go magicbell-js Copy curl --request GET \
--url 'https://api.magicbell.com/v2/channels/slack/magicbell_slackbot/tokens/{token_id}' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN"
{
"created_at": "2021-01-01T00:00:00Z",
"discarded_at": "2021-01-01T00:00:00Z",
"id": "123",
"updated_at": "2021-01-01T00:00:00Z",
"webhook": {
"url": "https://example.com/webhook"
}
}Delete a MagicBell SlackBot token DELETE /channels/slack/magicbell_slackbot/tokens/{token_id}
Deletes one of the authenticated user's MagicBell SlackBot tokens. This permanently invalidates the specified token, preventing it from being used for future channel access. This action cannot be undone. Users can only revoke their own tokens.
Request
curl magicbell-go magicbell-js Copy curl --request DELETE \
--url 'https://api.magicbell.com/v2/channels/slack/magicbell_slackbot/tokens/{token_id}' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN"
{
"id": "123",
"discarded_at": "2021-01-01T00:00:00Z"
}List all MagicBell SlackBot tokens GET /channels/slack/magicbell_slackbot/tokens
Lists all MagicBell SlackBot tokens belonging to the authenticated user. Returns a paginated list of tokens, including their status, creation dates, and associated metadata.
Query parameters ending_before
nullable string
a cursor for use in pagination, points to the first ID in next page
defines the maximum number of items to return per page (default: 50)
starting_after
nullable string
a cursor for use in pagination, points to the last ID in previous page
Request
curl magicbell-go magicbell-js Copy curl --request GET \
--url 'https://api.magicbell.com/v2/channels/slack/magicbell_slackbot/tokens' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN"
{
"data":[{
"created_at": "2021-01-01T00:00:00Z",
"discarded_at": "2021-01-01T00:00:00Z",
"id": "123",
"updated_at": "2021-01-01T00:00:00Z",
"webhook": {
"url": "https://example.com/webhook"
}
}],
"links": {
"first":"https://api.magicbell.com/v1/example",
"next":"https://api.magicbell.com/v1/example?page_next=abc",
"prev":null
}
}Save a Slack token PUT /channels/slack/tokens
Saves the Slack token for the authenticated user. This token serves as a credential for accessing channel-specific functionality. Each token is unique to the user and channel combination, allowing for direct communication with the user via the channel.
Request body The OAuth scope granted during installation
channel_id
string required
The ID of the Slack channel this installation is associated with
installation_id
string required
A unique identifier for this Slack workspace installation
Obtained directly from the incoming_webhook object in the installation response from the Slack API.
The URL for the incoming webhook from Slack
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request PUT \
--url 'https://api.magicbell.com/v2/channels/slack/tokens' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN" \
--data '{"webhook":{"url":"https://example.com/webhook"}}'
{
"webhook": {
"url": "https://example.com/webhook"
}
}
Fetch a Slack token GET /channels/slack/tokens/{token_id}
Fetches details of a specific Slack token belonging to the authenticated user. Returns information about the token's status, creation date, and any associated metadata. Users can only access their own tokens.
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request GET \
--url 'https://api.magicbell.com/v2/channels/slack/tokens/{token_id}' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN"
{
"created_at": "2021-01-01T00:00:00Z",
"discarded_at": "2021-01-01T00:00:00Z",
"id": "123",
"updated_at": "2021-01-01T00:00:00Z",
"webhook": {
"url": "https://example.com/webhook"
}
}Delete a Slack token DELETE /channels/slack/tokens/{token_id}
Deletes one of the authenticated user's Slack tokens. This permanently invalidates the specified token, preventing it from being used for future channel access. This action cannot be undone. Users can only revoke their own tokens.
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request DELETE \
--url 'https://api.magicbell.com/v2/channels/slack/tokens/{token_id}' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN"
{
"id": "123",
"discarded_at": "2021-01-01T00:00:00Z"
}List all Slack tokens GET /channels/slack/tokens
Lists all Slack tokens belonging to the authenticated user. Returns a paginated list of tokens, including their status, creation dates, and associated metadata.
Query parameters ending_before
nullable string
a cursor for use in pagination, points to the first ID in next page
defines the maximum number of items to return per page (default: 50)
starting_after
nullable string
a cursor for use in pagination, points to the last ID in previous page
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request GET \
--url 'https://api.magicbell.com/v2/channels/slack/tokens' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN"
{
"data":[{
"created_at": "2021-01-01T00:00:00Z",
"discarded_at": "2021-01-01T00:00:00Z",
"id": "123",
"updated_at": "2021-01-01T00:00:00Z",
"webhook": {
"url": "https://example.com/webhook"
}
}],
"links": {
"first":"https://api.magicbell.com/v1/example",
"next":"https://api.magicbell.com/v1/example?page_next=abc",
"prev":null
}
}Teams APIs dedicated to the Teams channel. Use them to connect devices, rotate credentials, and troubleshoot delivery for this medium.
PUT /channels/teams/tokens
GET /channels/teams/tokens/{token_id}
DELETE /channels/teams/tokens/{token_id}
GET /channels/teams/tokensThe Teams object Attributes created_at
string required
The timestamp when the token was created.
discarded_at
nullable string
The timestamp when the token was discarded, if applicable.
The unique identifier for the token.
updated_at
nullable string
The timestamp when the token metadata last changed.
{
"created_at": "2021-01-01T00:00:00Z",
"discarded_at": "2021-01-01T00:00:00Z",
"id": "123",
"updated_at": "2021-01-01T00:00:00Z"
}Save a Teams token PUT /channels/teams/tokens
Saves the Teams token for the authenticated user. This token serves as a credential for accessing channel-specific functionality. Each token is unique to the user and channel combination, allowing for direct communication with the user via the channel.
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request PUT \
--url 'https://api.magicbell.com/v2/channels/teams/tokens' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN"
Fetch a Teams token GET /channels/teams/tokens/{token_id}
Fetches details of a specific Teams token belonging to the authenticated user. Returns information about the token's status, creation date, and any associated metadata. Users can only access their own tokens.
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request GET \
--url 'https://api.magicbell.com/v2/channels/teams/tokens/{token_id}' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN"
{
"created_at": "2021-01-01T00:00:00Z",
"discarded_at": "2021-01-01T00:00:00Z",
"id": "123",
"updated_at": "2021-01-01T00:00:00Z"
}Delete a Teams token DELETE /channels/teams/tokens/{token_id}
Deletes one of the authenticated user's Teams tokens. This permanently invalidates the specified token, preventing it from being used for future channel access. This action cannot be undone. Users can only revoke their own tokens.
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request DELETE \
--url 'https://api.magicbell.com/v2/channels/teams/tokens/{token_id}' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN"
{
"id": "123",
"discarded_at": "2021-01-01T00:00:00Z"
}List all Teams tokens GET /channels/teams/tokens
Lists all Teams tokens belonging to the authenticated user. Returns a paginated list of tokens, including their status, creation dates, and associated metadata.
Query parameters ending_before
nullable string
a cursor for use in pagination, points to the first ID in next page
defines the maximum number of items to return per page (default: 50)
starting_after
nullable string
a cursor for use in pagination, points to the last ID in previous page
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request GET \
--url 'https://api.magicbell.com/v2/channels/teams/tokens' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN"
{
"data":[{
"created_at": "2021-01-01T00:00:00Z",
"discarded_at": "2021-01-01T00:00:00Z",
"id": "123",
"updated_at": "2021-01-01T00:00:00Z"
}],
"links": {
"first":"https://api.magicbell.com/v1/example",
"next":"https://api.magicbell.com/v1/example?page_next=abc",
"prev":null
}
}User Preferences
PUT /channels/user_preferences
GET /channels/user_preferencesThe User Preferences object Attributes max length: 255
pattern: ^[A-Za-z0-9_\.\-/:]+$
The User Preferences object
{
"categories": [
{
"key": "category_1",
"label": "Category 1",
"channels": [
{
"name": "email",
"label": "Email",
"enabled": true
}
]
}
]
}Save channel preferences PUT /channels/user_preferences
Save a user's channel preferences.
Request body max length: 255
pattern: ^[A-Za-z0-9_\.\-/:]+$
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request PUT \
--url 'https://api.magicbell.com/v2/channels/user_preferences' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN" \
--data '{"categories":[{"key":"category_1","label":"Category 1","channels":[{"name":"email","label":"Email","enabled":true}]}]}'
Fetch channel preferences GET /channels/user_preferences
Fetch a user's channel delivery preferences.
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request GET \
--url 'https://api.magicbell.com/v2/channels/user_preferences' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN"
{
"categories": [
{
"key": "category_1",
"label": "Category 1",
"channels": [
{
"name": "email",
"label": "Email",
"enabled": true
}
]
}
]
}Web Push APIs dedicated to the Web Push channel. Use them to connect devices, rotate credentials, and troubleshoot delivery for this medium.
PUT /channels/web_push/tokens
GET /channels/web_push/tokens/{token_id}
DELETE /channels/web_push/tokens/{token_id}
GET /channels/web_push/tokensThe Web Push object Attributes created_at
string required
The timestamp when the token was created.
discarded_at
nullable string
The timestamp when the token was discarded, if applicable.
The push subscription URL obtained from PushSubscription.endpoint after calling registration.pushManager.subscribe(). This is the unique URL for this device that push messages will be sent to.
The unique identifier for the token.
The encryption keys from the PushSubscription.getKey() method, needed to encrypt push messages for this subscription.
The P-256 ECDH public key obtained from PushSubscription.getKey('p256dh'). Used to encrypt push messages for this subscription.
The authentication secret obtained from PushSubscription.getKey('auth'). Used to encrypt push messages for this subscription.
updated_at
nullable string
The timestamp when the token metadata last changed.
{
"created_at": "2021-01-01T00:00:00Z",
"discarded_at": "2021-01-01T00:00:00Z",
"endpoint": "https://fcm.googleapis.com/fcm/send/fZhR0fsr0zw:APA91bE4pM-qo1KBJDU_Zp2N9nDP-Jdmwugm-v4KNL_NlJvYCrJeJUzPXmMyAXqAE0m6BFOrkSWT0ArGbUjEEpxQEYZLado8JeW1PZA5CHB8R6C7HT6-MD6Qs8ZaCn8_ffLGGU7WuvtN",
"id": "123",
"keys": {
"auth": "GoIO2ulhtQuyBM64lZuFuw",
"p256dh": "BICAe4KtLhhPNFvynlqMRxjvpRnr94881QeuTCr8kCwJf-Fssj3FLIlnfFMjj7T1yNg5l6cn14350323_NSGZh0"
},
"updated_at": "2021-01-01T00:00:00Z"
}Save a Web Push token PUT /channels/web_push/tokens
Saves the Web Push token for the authenticated user. This token serves as a credential for accessing channel-specific functionality. Each token is unique to the user and channel combination, allowing for direct communication with the user via the channel.
Request body The push subscription URL obtained from PushSubscription.endpoint after calling registration.pushManager.subscribe(). This is the unique URL for this device that push messages will be sent to.
The encryption keys from the PushSubscription.getKey() method, needed to encrypt push messages for this subscription.
The P-256 ECDH public key obtained from PushSubscription.getKey('p256dh'). Used to encrypt push messages for this subscription.
The authentication secret obtained from PushSubscription.getKey('auth'). Used to encrypt push messages for this subscription.
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request PUT \
--url 'https://api.magicbell.com/v2/channels/web_push/tokens' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN" \
--data '{"endpoint":"https://fcm.googleapis.com/fcm/send/fZhR0fsr0zw:APA91bE4pM-qo1KBJDU_Zp2N9nDP-Jdmwugm-v4KNL_NlJvYCrJeJUzPXmMyAXqAE0m6BFOrkSWT0ArGbUjEEpxQEYZLado8JeW1PZA5CHB8R6C7HT6-MD6Qs8ZaCn8_ffLGGU7WuvtN","keys":{"p256dh":"BICAe4KtLhhPNFvynlqMRxjvpRnr94881QeuTCr8kCwJf-Fssj3FLIlnfFMjj7T1yNg5l6cn14350323_NSGZh0","auth":"GoIO2ulhtQuyBM64lZuFuw"}}'
{
"endpoint": "https://fcm.googleapis.com/fcm/send/fZhR0fsr0zw:APA91bE4pM-qo1KBJDU_Zp2N9nDP-Jdmwugm-v4KNL_NlJvYCrJeJUzPXmMyAXqAE0m6BFOrkSWT0ArGbUjEEpxQEYZLado8JeW1PZA5CHB8R6C7HT6-MD6Qs8ZaCn8_ffLGGU7WuvtN",
"keys": {
"p256dh": "BICAe4KtLhhPNFvynlqMRxjvpRnr94881QeuTCr8kCwJf-Fssj3FLIlnfFMjj7T1yNg5l6cn14350323_NSGZh0",
"auth": "GoIO2ulhtQuyBM64lZuFuw"
}
}
Fetch a Web Push token GET /channels/web_push/tokens/{token_id}
Fetches details of a specific Web Push token belonging to the authenticated user. Returns information about the token's status, creation date, and any associated metadata. Users can only access their own tokens.
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request GET \
--url 'https://api.magicbell.com/v2/channels/web_push/tokens/{token_id}' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN"
{
"created_at": "2021-01-01T00:00:00Z",
"discarded_at": "2021-01-01T00:00:00Z",
"endpoint": "https://fcm.googleapis.com/fcm/send/fZhR0fsr0zw:APA91bE4pM-qo1KBJDU_Zp2N9nDP-Jdmwugm-v4KNL_NlJvYCrJeJUzPXmMyAXqAE0m6BFOrkSWT0ArGbUjEEpxQEYZLado8JeW1PZA5CHB8R6C7HT6-MD6Qs8ZaCn8_ffLGGU7WuvtN",
"id": "123",
"keys": {
"auth": "GoIO2ulhtQuyBM64lZuFuw",
"p256dh": "BICAe4KtLhhPNFvynlqMRxjvpRnr94881QeuTCr8kCwJf-Fssj3FLIlnfFMjj7T1yNg5l6cn14350323_NSGZh0"
},
"updated_at": "2021-01-01T00:00:00Z"
}Delete a Web Push token DELETE /channels/web_push/tokens/{token_id}
Deletes one of the authenticated user's Web Push tokens. This permanently invalidates the specified token, preventing it from being used for future channel access. This action cannot be undone. Users can only revoke their own tokens.
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request DELETE \
--url 'https://api.magicbell.com/v2/channels/web_push/tokens/{token_id}' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN"
{
"id": "123",
"discarded_at": "2021-01-01T00:00:00Z"
}List all Web Push tokens GET /channels/web_push/tokens
Lists all Web Push tokens belonging to the authenticated user. Returns a paginated list of tokens, including their status, creation dates, and associated metadata.
Query parameters ending_before
nullable string
a cursor for use in pagination, points to the first ID in next page
defines the maximum number of items to return per page (default: 50)
starting_after
nullable string
a cursor for use in pagination, points to the last ID in previous page
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request GET \
--url 'https://api.magicbell.com/v2/channels/web_push/tokens' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN"
{
"data":[{
"created_at": "2021-01-01T00:00:00Z",
"discarded_at": "2021-01-01T00:00:00Z",
"endpoint": "https://fcm.googleapis.com/fcm/send/fZhR0fsr0zw:APA91bE4pM-qo1KBJDU_Zp2N9nDP-Jdmwugm-v4KNL_NlJvYCrJeJUzPXmMyAXqAE0m6BFOrkSWT0ArGbUjEEpxQEYZLado8JeW1PZA5CHB8R6C7HT6-MD6Qs8ZaCn8_ffLGGU7WuvtN",
"id": "123",
"keys": {
"auth": "GoIO2ulhtQuyBM64lZuFuw",
"p256dh": "BICAe4KtLhhPNFvynlqMRxjvpRnr94881QeuTCr8kCwJf-Fssj3FLIlnfFMjj7T1yNg5l6cn14350323_NSGZh0"
},
"updated_at": "2021-01-01T00:00:00Z"
}],
"links": {
"first":"https://api.magicbell.com/v1/example",
"next":"https://api.magicbell.com/v1/example?page_next=abc",
"prev":null
}
}Events Events capture everything that happens across deliveries. Query this stream to audit what occurred, troubleshoot delivery issues, and power observability dashboards.
Related guides:
Delivery Primitive GET /events/{event_id}
GET /eventsThe Events object Attributes The numeric code that categorizes the event.
Additional contextual attributes for the event.
The unique identifier for the event.
The severity level assigned to the event.
A human-readable log message.
The raw payload delivered by the event source.
The time at which the event was recorded.
The type of event that occurred.
{
"id": "123",
"type": "example_type",
"timestamp": "2021-01-01T00:00:00Z"
}Fetch an event Fetches a project event by its ID.
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request GET \
--url 'https://api.magicbell.com/v2/events/{event_id}' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN"
{
"id": "123",
"type": "example_type",
"timestamp": "2021-01-01T00:00:00Z"
}List all events Retrieves a paginated list of events for the project.
Query parameters ending_before
nullable string
a cursor for use in pagination, points to the first ID in next page
defines the maximum number of items to return per page (default: 50)
starting_after
nullable string
a cursor for use in pagination, points to the last ID in previous page
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request GET \
--url 'https://api.magicbell.com/v2/events' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN"
{
"data":[{
"id": "123",
"type": "example_type",
"timestamp": "2021-01-01T00:00:00Z"
}],
"links": {
"first":"https://api.magicbell.com/v1/example",
"next":"https://api.magicbell.com/v1/example?page_next=abc",
"prev":null
}
}Integrations Integrations connect MagicBell to external providers for delivery, data ingestion, and automation. Use these grouped APIs to configure providers, run installation flows, and receive incoming events.
Related guides:
Integration Primitive APNs Upload APNs credentials to deliver native iOS, iPadOS, and macOS push notifications.
PUT /integrations/apns
DELETE /integrations/apns
GET /integrations/apnsThe APNs object {
"data": [
{
"name": "<provider-name>",
"id": "123",
"config": {
"app_id": "com.example.myapp",
"certificate": "-----BEGIN PRIVATE KEY-----\nMIGTAgEAMBMGByqGSM49AgEGCCqGSM49AwEHBHkwdwIBAQQgHnr4B2P+by++FGu/th0a44E8chJl5v5Vo4gq0YHw6e6gCgYIKoZIzj0DAQehRANCAARCg1MRibnfyeX5mx6+Rtfzzn7UhJP/oaqL4RzSmDuTsd3BTX33cuQ0gWHe20R2m1bLAkI1wrp+zbWOlAOAD7KX\n-----END PRIVATE KEY-----",
"key_id": "ABCD1234EF",
"team_id": "ABCD1234EF",
"badge": "unread"
}
}
],
"links": {
"first": "https://api.magicbell.com/v1/example",
"next": "https://api.magicbell.com/v1/example?page_next=abc",
"prev": null
}
}Save an APNs integration Updates or creates the APNs integration for the project.
Request body The default bundle identifier of the application that is configured with this project. It can be overriden on a per token basis, when registering device tokens.
pattern: ^[a-zA-Z0-9]+(.[a-zA-Z0-9]+)*$
Controls whether the app icon badge counts unread or unseen notifications.
certificate
string required
The APNs certificate in P8 format. Generate it at developer.apple.com with the 'Apple Push Notification service (APNs)' option selected.
pattern: ^-+?\s?BEGIN PRIVATE KEY-+\n([A-Za-z0-9+/\r\n]+={0,2})\n-+\s?END PRIVATE KEY+-+\n?$
The 10-character Key ID from your Apple Developer account used with the P8 certificate.
min length: 10
max length: 10
Internal payload format version used by MagicBell.
The Apple Developer Team ID that owns the configured key.
min length: 10
max length: 10
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request PUT \
--url 'https://api.magicbell.com/v2/integrations/apns' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN" \
--data '{"app_id":"com.example.myapp","certificate":"-----BEGIN PRIVATE KEY-----\nMIGTAgEAMBMGByqGSM49AgEGCCqGSM49AwEHBHkwdwIBAQQgHnr4B2P+by++FGu/th0a44E8chJl5v5Vo4gq0YHw6e6gCgYIKoZIzj0DAQehRANCAARCg1MRibnfyeX5mx6+Rtfzzn7UhJP/oaqL4RzSmDuTsd3BTX33cuQ0gWHe20R2m1bLAkI1wrp+zbWOlAOAD7KX\n-----END PRIVATE KEY-----","key_id":"ABCD1234EF","team_id":"ABCD1234EF","badge":"unread"}'
{
"app_id": "com.example.myapp",
"certificate": "-----BEGIN PRIVATE KEY-----\nMIGTAgEAMBMGByqGSM49AgEGCCqGSM49AwEHBHkwdwIBAQQgHnr4B2P+by++FGu/th0a44E8chJl5v5Vo4gq0YHw6e6gCgYIKoZIzj0DAQehRANCAARCg1MRibnfyeX5mx6+Rtfzzn7UhJP/oaqL4RzSmDuTsd3BTX33cuQ0gWHe20R2m1bLAkI1wrp+zbWOlAOAD7KX\n-----END PRIVATE KEY-----",
"key_id": "ABCD1234EF",
"team_id": "ABCD1234EF",
"badge": "unread"
}
Delete an APNs integration Deletes the APNs integration configuration from the project. This will disable the integration's functionality within the project.
Query parameters the unique identifier of the integration to be deleted
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request DELETE \
--url 'https://api.magicbell.com/v2/integrations/apns' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN"
List all APNs integrations Retrieves the current APNs integration configurations for a specific integration type in the project. Returns configuration details and status information.
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request GET \
--url 'https://api.magicbell.com/v2/integrations/apns' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN"
{
"data":[{
"name": "<provider-name>",
"id": "123",
"config": {
"app_id": "com.example.myapp",
"certificate": "-----BEGIN PRIVATE KEY-----\nMIGTAgEAMBMGByqGSM49AgEGCCqGSM49AwEHBHkwdwIBAQQgHnr4B2P+by++FGu/th0a44E8chJl5v5Vo4gq0YHw6e6gCgYIKoZIzj0DAQehRANCAARCg1MRibnfyeX5mx6+Rtfzzn7UhJP/oaqL4RzSmDuTsd3BTX33cuQ0gWHe20R2m1bLAkI1wrp+zbWOlAOAD7KX\n-----END PRIVATE KEY-----",
"key_id": "ABCD1234EF",
"team_id": "ABCD1234EF",
"badge": "unread"
}
}],
"links": {
"first":"https://api.magicbell.com/v1/example",
"next":"https://api.magicbell.com/v1/example?page_next=abc",
"prev":null
}
}Expo Send Expo push notifications to React Native apps with zero extra plumbing.
PUT /integrations/expo
DELETE /integrations/expo
GET /integrations/expoThe Expo object {
"data": [
{
"name": "<provider-name>",
"id": "123",
"config": {
"access_token": "expo_access_token"
}
}
],
"links": {
"first": "https://api.magicbell.com/v1/example",
"next": "https://api.magicbell.com/v1/example?page_next=abc",
"prev": null
}
}Save an Expo integration Updates or creates the Expo integration for the project.
Request body access_token
string required
The Expo access token used to authenticate push notifications.
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request PUT \
--url 'https://api.magicbell.com/v2/integrations/expo' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN" \
--data '{"access_token":"expo_access_token"}'
{
"access_token": "expo_access_token"
}
Delete an Expo integration Deletes the Expo integration configuration from the project. This will disable the integration's functionality within the project.
Query parameters the unique identifier of the integration to be deleted
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request DELETE \
--url 'https://api.magicbell.com/v2/integrations/expo' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN"
List all Expo integrations Retrieves the current Expo integration configurations for a specific integration type in the project. Returns configuration details and status information.
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request GET \
--url 'https://api.magicbell.com/v2/integrations/expo' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN"
{
"data":[{
"name": "<provider-name>",
"id": "123",
"config": {
"access_token": "expo_access_token"
}
}],
"links": {
"first":"https://api.magicbell.com/v1/example",
"next":"https://api.magicbell.com/v1/example?page_next=abc",
"prev":null
}
}FCM Connect FCM to reach Android devices and browsers that rely on Google's messaging infrastructure.
PUT /integrations/fcm
DELETE /integrations/fcm
GET /integrations/fcmThe FCM object {
"data": [
{
"name": "<provider-name>",
"id": "123",
"config": {
"type": "service_account",
"project_id": "platform-development",
"private_key_id": "1935e74178f6ef0bbc23fb3538255f8281093bf2",
"private_key": "-----BEGIN PRIVATE KEY-----\nMIIEvQIBADANBgkqhkiG9w0BAQEFAASCBKcwggSjAgEAAoIBAQC7/GBHM4AK4/8c\nZyvJfdzjBzfA48tV9T3N4hBCb4E66jIz+oztH9oSngEfIVO/L1dWjK1OlN0cqJ0f\nQaKq1eycSjmwfTR3HGNjQQyoGQ4BFBdyqT5rRDDZLPI2LoR0dtQXcBtiFpJF2t8e\niDmpl3d/ipuKMtBRzjYPqzP0qv3YkPmw2v5FqKK9EIaHRtOhd2R28F5FE+kF1dvB\nt7fEeVtKcQJcSwDUQ8HEshlWSx6azGd4jxf9jHRXWumXYfTA6NMA7EUTDJVus3vU\ny9MCv2KwZO/dzlQygY0BM9FHPSzZRIiHUx+DH6gYl2uWJatluHz58lj3r5mo/Ssc\nyP3TrqOnAgMBAAECggEAWAnDe0UCt9b8QGyPBK/V1VspgMQOE+UlOzkenUaEUreg\nqFg0TM8ofaSS6OXeR0DgGdALUCyGeyf6YcuG55QFWlKmvuF8QzY/05mA2G7XcKjc\nrF3Xtju61tLmYnqZnMOT46AkquTgPyfYa3+n5aVimRAsdOYESvOUvPTUgcbc2GGK\nC2h2MUCoRKuhzbGx847XJmINRE+xaht4hDMhzhMBVrgGGyQ3sIdbCxpbiQR6QH2H\npITrSnd4hlKRPREWS/D4FUKP/ucXdORP9SUi0R64NRZ3GvT1HvpVZ9fOXwIACdAG\n9fpIQbsmIgxhgZ5ZjuGz/nFi2KQ2Y8rEycQmnHd4QQKBgQD4LVFL93E4qwr7Eruj\nFjyxGYYi2PhVxvrpiSD6ziK3HUjAxat6OcoElJx7WEFWHmi7KRgehqcl40A8Coav\n9DGBwnSM2AYKgzOqMqzjK71TFOQsJdGEYThnhiL2FoQeptgskVS7J9MMBPTnyl7D\nYObINwGbg9auVp66rj5W+dymZwKBgQDB6VdpxJpU9hXBW+8nJESduhzpYiHoe1kN\nyka90dQDOe2b/R7bnF1Ggte6Ll1dMs3xLhN1Mm2XTcX2zmzM15C0E4+1t1LXXzAo\nO2P+riEmCIUc1i0yNMVgEKXiOBBYgKauE3fT88c4dw2JAT0QlifJ0h8kRPNhUaq9\nespjleNQwQKBgHUzwZ7knn2qmSb1M9PTHppseWJfoPexXrGHZyHK064ykDcpos+4\nFuWO4U+G4GQxPDiXMaLI6IsGBUHVnsHdyruC/9O7+S5hw7Zu9CLcdy6TQSZwPcAM\nwbxyJnSdMYvgM1roz2ELb6nPdXE5qwMN8i8/euzcmDgBBDkZLKuamE+lAoGBAKb7\nvd7DAvPvBkUAWi2mub/pqUQA0ZpVvhZ1/f0wWBZ/J/KQQqZzPI+f1Q3rJ1M+kMIE\nH5Vo257TxooGsQKlD2NDBRpCx//XZK0Al9eVM86Av8BZX4pAj0dujqsEBG9yOhbl\nhObsor4pJ2q3ulIyPAk7/L1K8xr3LMUGnIqtZJcBAoGAEQffqGbnaOG8Ue3++bLP\nN6XlAyt5UajAd1CycIHgDvbW0CkWoI70Bg7QNqMYJe6DareH4vRpdB3tw6zNP7qN\n0Bd04L8+zUYN+VqNJ70d7Xn+k2rY7STlgU3vwOzHFwu4wK2A7e+aAZ8AjC+Sr0ZM\nps+wuWO8MN5yQTBZvAEIfQs=\n-----END PRIVATE KEY-----\n",
"client_email": "firebase-adminsdk-qwhtp@platform-development.iam.gserviceaccount.com",
"client_id": "117893100789081023083",
"auth_uri": "https://accounts.google.com/o/oauth2/auth",
"token_uri": "https://oauth2.googleapis.com/token",
"auth_provider_x509_cert_url": "https://www.googleapis.com/oauth2/v1/certs",
"client_x509_cert_url": "https://www.googleapis.com/robot/v1/metadata/x509/firebase-adminsdk-qwhtp%40magicbell-development.iam.gserviceaccount.com",
"universe_domain": "googleapis.com"
}
}
],
"links": {
"first": "https://api.magicbell.com/v1/example",
"next": "https://api.magicbell.com/v1/example?page_next=abc",
"prev": null
}
}Save a FCM integration Updates or creates the FCM integration for the project.
Request body auth_provider_x509_cert_url
string required
URL for Google's OAuth provider x509 certificates used to validate tokens.
OAuth authorization endpoint used when exchanging Firebase credentials.
client_email
string required
The client email address from the Firebase service account.
The numeric client identifier for the Firebase service account.
client_x509_cert_url
string required
URL to the public x509 certificate for this service account.
private_key
string required
The PEM encoded service account private key used to sign Firebase credentials.
pattern: ^-+?\s?BEGIN[A-Z ]+-+\n([A-Za-z0-9+/\r\n]+={0,2})\n-+\s?END[A-Z ]+-+\n?$
private_key_id
string required
Identifier of the private key inside the downloaded service account JSON.
project_id
string required
The Firebase project ID associated with this service account.
OAuth token endpoint used to mint access tokens for FCM.
Indicates the kind of Google credential. Service accounts always use the service_account type.
universe_domain
string required
The Google Cloud universe domain hosting the Firebase APIs.
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request PUT \
--url 'https://api.magicbell.com/v2/integrations/fcm' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN" \
--data '{"type":"service_account","project_id":"platform-development","private_key_id":"1935e74178f6ef0bbc23fb3538255f8281093bf2","private_key":"-----BEGIN PRIVATE KEY-----\nMIIEvQIBADANBgkqhkiG9w0BAQEFAASCBKcwggSjAgEAAoIBAQC7/GBHM4AK4/8c\nZyvJfdzjBzfA48tV9T3N4hBCb4E66jIz+oztH9oSngEfIVO/L1dWjK1OlN0cqJ0f\nQaKq1eycSjmwfTR3HGNjQQyoGQ4BFBdyqT5rRDDZLPI2LoR0dtQXcBtiFpJF2t8e\niDmpl3d/ipuKMtBRzjYPqzP0qv3YkPmw2v5FqKK9EIaHRtOhd2R28F5FE+kF1dvB\nt7fEeVtKcQJcSwDUQ8HEshlWSx6azGd4jxf9jHRXWumXYfTA6NMA7EUTDJVus3vU\ny9MCv2KwZO/dzlQygY0BM9FHPSzZRIiHUx+DH6gYl2uWJatluHz58lj3r5mo/Ssc\nyP3TrqOnAgMBAAECggEAWAnDe0UCt9b8QGyPBK/V1VspgMQOE+UlOzkenUaEUreg\nqFg0TM8ofaSS6OXeR0DgGdALUCyGeyf6YcuG55QFWlKmvuF8QzY/05mA2G7XcKjc\nrF3Xtju61tLmYnqZnMOT46AkquTgPyfYa3+n5aVimRAsdOYESvOUvPTUgcbc2GGK\nC2h2MUCoRKuhzbGx847XJmINRE+xaht4hDMhzhMBVrgGGyQ3sIdbCxpbiQR6QH2H\npITrSnd4hlKRPREWS/D4FUKP/ucXdORP9SUi0R64NRZ3GvT1HvpVZ9fOXwIACdAG\n9fpIQbsmIgxhgZ5ZjuGz/nFi2KQ2Y8rEycQmnHd4QQKBgQD4LVFL93E4qwr7Eruj\nFjyxGYYi2PhVxvrpiSD6ziK3HUjAxat6OcoElJx7WEFWHmi7KRgehqcl40A8Coav\n9DGBwnSM2AYKgzOqMqzjK71TFOQsJdGEYThnhiL2FoQeptgskVS7J9MMBPTnyl7D\nYObINwGbg9auVp66rj5W+dymZwKBgQDB6VdpxJpU9hXBW+8nJESduhzpYiHoe1kN\nyka90dQDOe2b/R7bnF1Ggte6Ll1dMs3xLhN1Mm2XTcX2zmzM15C0E4+1t1LXXzAo\nO2P+riEmCIUc1i0yNMVgEKXiOBBYgKauE3fT88c4dw2JAT0QlifJ0h8kRPNhUaq9\nespjleNQwQKBgHUzwZ7knn2qmSb1M9PTHppseWJfoPexXrGHZyHK064ykDcpos+4\nFuWO4U+G4GQxPDiXMaLI6IsGBUHVnsHdyruC/9O7+S5hw7Zu9CLcdy6TQSZwPcAM\nwbxyJnSdMYvgM1roz2ELb6nPdXE5qwMN8i8/euzcmDgBBDkZLKuamE+lAoGBAKb7\nvd7DAvPvBkUAWi2mub/pqUQA0ZpVvhZ1/f0wWBZ/J/KQQqZzPI+f1Q3rJ1M+kMIE\nH5Vo257TxooGsQKlD2NDBRpCx//XZK0Al9eVM86Av8BZX4pAj0dujqsEBG9yOhbl\nhObsor4pJ2q3ulIyPAk7/L1K8xr3LMUGnIqtZJcBAoGAEQffqGbnaOG8Ue3++bLP\nN6XlAyt5UajAd1CycIHgDvbW0CkWoI70Bg7QNqMYJe6DareH4vRpdB3tw6zNP7qN\n0Bd04L8+zUYN+VqNJ70d7Xn+k2rY7STlgU3vwOzHFwu4wK2A7e+aAZ8AjC+Sr0ZM\nps+wuWO8MN5yQTBZvAEIfQs=\n-----END PRIVATE KEY-----\n","client_email":"firebase-adminsdk-qwhtp@platform-development.iam.gserviceaccount.com","client_id":"117893100789081023083","auth_uri":"https://accounts.google.com/o/oauth2/auth","token_uri":"https://oauth2.googleapis.com/token","auth_provider_x509_cert_url":"https://www.googleapis.com/oauth2/v1/certs","client_x509_cert_url":"https://www.googleapis.com/robot/v1/metadata/x509/firebase-adminsdk-qwhtp%40magicbell-development.iam.gserviceaccount.com","universe_domain":"googleapis.com"}'
{
"type": "service_account",
"project_id": "platform-development",
"private_key_id": "1935e74178f6ef0bbc23fb3538255f8281093bf2",
"private_key": "-----BEGIN PRIVATE KEY-----\nMIIEvQIBADANBgkqhkiG9w0BAQEFAASCBKcwggSjAgEAAoIBAQC7/GBHM4AK4/8c\nZyvJfdzjBzfA48tV9T3N4hBCb4E66jIz+oztH9oSngEfIVO/L1dWjK1OlN0cqJ0f\nQaKq1eycSjmwfTR3HGNjQQyoGQ4BFBdyqT5rRDDZLPI2LoR0dtQXcBtiFpJF2t8e\niDmpl3d/ipuKMtBRzjYPqzP0qv3YkPmw2v5FqKK9EIaHRtOhd2R28F5FE+kF1dvB\nt7fEeVtKcQJcSwDUQ8HEshlWSx6azGd4jxf9jHRXWumXYfTA6NMA7EUTDJVus3vU\ny9MCv2KwZO/dzlQygY0BM9FHPSzZRIiHUx+DH6gYl2uWJatluHz58lj3r5mo/Ssc\nyP3TrqOnAgMBAAECggEAWAnDe0UCt9b8QGyPBK/V1VspgMQOE+UlOzkenUaEUreg\nqFg0TM8ofaSS6OXeR0DgGdALUCyGeyf6YcuG55QFWlKmvuF8QzY/05mA2G7XcKjc\nrF3Xtju61tLmYnqZnMOT46AkquTgPyfYa3+n5aVimRAsdOYESvOUvPTUgcbc2GGK\nC2h2MUCoRKuhzbGx847XJmINRE+xaht4hDMhzhMBVrgGGyQ3sIdbCxpbiQR6QH2H\npITrSnd4hlKRPREWS/D4FUKP/ucXdORP9SUi0R64NRZ3GvT1HvpVZ9fOXwIACdAG\n9fpIQbsmIgxhgZ5ZjuGz/nFi2KQ2Y8rEycQmnHd4QQKBgQD4LVFL93E4qwr7Eruj\nFjyxGYYi2PhVxvrpiSD6ziK3HUjAxat6OcoElJx7WEFWHmi7KRgehqcl40A8Coav\n9DGBwnSM2AYKgzOqMqzjK71TFOQsJdGEYThnhiL2FoQeptgskVS7J9MMBPTnyl7D\nYObINwGbg9auVp66rj5W+dymZwKBgQDB6VdpxJpU9hXBW+8nJESduhzpYiHoe1kN\nyka90dQDOe2b/R7bnF1Ggte6Ll1dMs3xLhN1Mm2XTcX2zmzM15C0E4+1t1LXXzAo\nO2P+riEmCIUc1i0yNMVgEKXiOBBYgKauE3fT88c4dw2JAT0QlifJ0h8kRPNhUaq9\nespjleNQwQKBgHUzwZ7knn2qmSb1M9PTHppseWJfoPexXrGHZyHK064ykDcpos+4\nFuWO4U+G4GQxPDiXMaLI6IsGBUHVnsHdyruC/9O7+S5hw7Zu9CLcdy6TQSZwPcAM\nwbxyJnSdMYvgM1roz2ELb6nPdXE5qwMN8i8/euzcmDgBBDkZLKuamE+lAoGBAKb7\nvd7DAvPvBkUAWi2mub/pqUQA0ZpVvhZ1/f0wWBZ/J/KQQqZzPI+f1Q3rJ1M+kMIE\nH5Vo257TxooGsQKlD2NDBRpCx//XZK0Al9eVM86Av8BZX4pAj0dujqsEBG9yOhbl\nhObsor4pJ2q3ulIyPAk7/L1K8xr3LMUGnIqtZJcBAoGAEQffqGbnaOG8Ue3++bLP\nN6XlAyt5UajAd1CycIHgDvbW0CkWoI70Bg7QNqMYJe6DareH4vRpdB3tw6zNP7qN\n0Bd04L8+zUYN+VqNJ70d7Xn+k2rY7STlgU3vwOzHFwu4wK2A7e+aAZ8AjC+Sr0ZM\nps+wuWO8MN5yQTBZvAEIfQs=\n-----END PRIVATE KEY-----\n",
"client_email": "firebase-adminsdk-qwhtp@platform-development.iam.gserviceaccount.com",
"client_id": "117893100789081023083",
"auth_uri": "https://accounts.google.com/o/oauth2/auth",
"token_uri": "https://oauth2.googleapis.com/token",
"auth_provider_x509_cert_url": "https://www.googleapis.com/oauth2/v1/certs",
"client_x509_cert_url": "https://www.googleapis.com/robot/v1/metadata/x509/firebase-adminsdk-qwhtp%40magicbell-development.iam.gserviceaccount.com",
"universe_domain": "googleapis.com"
}
Delete a FCM integration Deletes the FCM integration configuration from the project. This will disable the integration's functionality within the project.
Query parameters the unique identifier of the integration to be deleted
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request DELETE \
--url 'https://api.magicbell.com/v2/integrations/fcm' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN"
List all FCM integrations Retrieves the current FCM integration configurations for a specific integration type in the project. Returns configuration details and status information.
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request GET \
--url 'https://api.magicbell.com/v2/integrations/fcm' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN"
{
"data":[{
"name": "<provider-name>",
"id": "123",
"config": {
"type": "service_account",
"project_id": "platform-development",
"private_key_id": "1935e74178f6ef0bbc23fb3538255f8281093bf2",
"private_key": "-----BEGIN PRIVATE KEY-----\nMIIEvQIBADANBgkqhkiG9w0BAQEFAASCBKcwggSjAgEAAoIBAQC7/GBHM4AK4/8c\nZyvJfdzjBzfA48tV9T3N4hBCb4E66jIz+oztH9oSngEfIVO/L1dWjK1OlN0cqJ0f\nQaKq1eycSjmwfTR3HGNjQQyoGQ4BFBdyqT5rRDDZLPI2LoR0dtQXcBtiFpJF2t8e\niDmpl3d/ipuKMtBRzjYPqzP0qv3YkPmw2v5FqKK9EIaHRtOhd2R28F5FE+kF1dvB\nt7fEeVtKcQJcSwDUQ8HEshlWSx6azGd4jxf9jHRXWumXYfTA6NMA7EUTDJVus3vU\ny9MCv2KwZO/dzlQygY0BM9FHPSzZRIiHUx+DH6gYl2uWJatluHz58lj3r5mo/Ssc\nyP3TrqOnAgMBAAECggEAWAnDe0UCt9b8QGyPBK/V1VspgMQOE+UlOzkenUaEUreg\nqFg0TM8ofaSS6OXeR0DgGdALUCyGeyf6YcuG55QFWlKmvuF8QzY/05mA2G7XcKjc\nrF3Xtju61tLmYnqZnMOT46AkquTgPyfYa3+n5aVimRAsdOYESvOUvPTUgcbc2GGK\nC2h2MUCoRKuhzbGx847XJmINRE+xaht4hDMhzhMBVrgGGyQ3sIdbCxpbiQR6QH2H\npITrSnd4hlKRPREWS/D4FUKP/ucXdORP9SUi0R64NRZ3GvT1HvpVZ9fOXwIACdAG\n9fpIQbsmIgxhgZ5ZjuGz/nFi2KQ2Y8rEycQmnHd4QQKBgQD4LVFL93E4qwr7Eruj\nFjyxGYYi2PhVxvrpiSD6ziK3HUjAxat6OcoElJx7WEFWHmi7KRgehqcl40A8Coav\n9DGBwnSM2AYKgzOqMqzjK71TFOQsJdGEYThnhiL2FoQeptgskVS7J9MMBPTnyl7D\nYObINwGbg9auVp66rj5W+dymZwKBgQDB6VdpxJpU9hXBW+8nJESduhzpYiHoe1kN\nyka90dQDOe2b/R7bnF1Ggte6Ll1dMs3xLhN1Mm2XTcX2zmzM15C0E4+1t1LXXzAo\nO2P+riEmCIUc1i0yNMVgEKXiOBBYgKauE3fT88c4dw2JAT0QlifJ0h8kRPNhUaq9\nespjleNQwQKBgHUzwZ7knn2qmSb1M9PTHppseWJfoPexXrGHZyHK064ykDcpos+4\nFuWO4U+G4GQxPDiXMaLI6IsGBUHVnsHdyruC/9O7+S5hw7Zu9CLcdy6TQSZwPcAM\nwbxyJnSdMYvgM1roz2ELb6nPdXE5qwMN8i8/euzcmDgBBDkZLKuamE+lAoGBAKb7\nvd7DAvPvBkUAWi2mub/pqUQA0ZpVvhZ1/f0wWBZ/J/KQQqZzPI+f1Q3rJ1M+kMIE\nH5Vo257TxooGsQKlD2NDBRpCx//XZK0Al9eVM86Av8BZX4pAj0dujqsEBG9yOhbl\nhObsor4pJ2q3ulIyPAk7/L1K8xr3LMUGnIqtZJcBAoGAEQffqGbnaOG8Ue3++bLP\nN6XlAyt5UajAd1CycIHgDvbW0CkWoI70Bg7QNqMYJe6DareH4vRpdB3tw6zNP7qN\n0Bd04L8+zUYN+VqNJ70d7Xn+k2rY7STlgU3vwOzHFwu4wK2A7e+aAZ8AjC+Sr0ZM\nps+wuWO8MN5yQTBZvAEIfQs=\n-----END PRIVATE KEY-----\n",
"client_email": "firebase-adminsdk-qwhtp@platform-development.iam.gserviceaccount.com",
"client_id": "117893100789081023083",
"auth_uri": "https://accounts.google.com/o/oauth2/auth",
"token_uri": "https://oauth2.googleapis.com/token",
"auth_provider_x509_cert_url": "https://www.googleapis.com/oauth2/v1/certs",
"client_x509_cert_url": "https://www.googleapis.com/robot/v1/metadata/x509/firebase-adminsdk-qwhtp%40magicbell-development.iam.gserviceaccount.com",
"universe_domain": "googleapis.com"
}
}],
"links": {
"first":"https://api.magicbell.com/v1/example",
"next":"https://api.magicbell.com/v1/example?page_next=abc",
"prev":null
}
}Inbox Manage integrations that sync data into the MagicBell Inbox surfaces, including hosted widgets and embeddable inboxes.
PUT /integrations/inbox/installations
POST /integrations/inbox/installations/start
PUT /integrations/inbox
DELETE /integrations/inbox
GET /integrations/inboxThe Inbox object {
"data": [
{
"name": "<provider-name>",
"id": "123",
"config": {
"images": {
"emptyInboxUrl": ""
},
"locale": "de",
"theme": {
"banner": {
"backgroundColor": "#F8F5FF",
"fontSize": "14px",
"textColor": "#3A424D"
},
"dialog": {
"accentColor": "#5225C1",
"backgroundColor": "#F5F5F5",
"textColor": "#313131"
},
"footer": {
"backgroundColor": "#FFFFFF",
"borderRadius": "16px",
"fontFamily": "inherit",
"fontSize": "15px",
"textColor": "#5225C1"
},
"header": {
"backgroundColor": "#FFFFFF",
"borderRadius": "16px",
"fontFamily": "inherit",
"fontSize": "15px",
"textColor": "#5225C1"
},
"icon": {
"borderColor": "#EDEDEF",
"width": "24px"
},
"unseenBadge": {
"backgroundColor": "#F80808"
}
}
}
}
],
"links": {
"first": "https://api.magicbell.com/v1/example",
"next": "https://api.magicbell.com/v1/example?page_next=abc",
"prev": null
}
}Save an Inbox installation PUT /integrations/inbox/installations
Creates a new installation of a Inbox integration for a user. This endpoint is used when an integration needs to be set up with user-specific credentials or configuration.
Request body images
nullable object required
Image overrides for assets used in the inbox UI.
emptyInboxUrl
string required
URL for the illustration shown when the inbox is empty.
locale
nullable string required
Locale code (ISO language tag) used to localize built-in strings.
theme
nullable object required
Visual customization options for the hosted inbox widget.
Footer styling for the inbox modal.
backgroundColor
string required
Footer background color.
borderRadius
string required
Border radius applied to the footer container.
Font size used in the footer.
Styling overrides for notification list items.
Base styles applied to every notification item.
Default text color for notifications.
borderRadius
string required
Border radius applied to each notification card.
backgroundColor
string required
Background color for notifications in their default state.
Styles applied when a notification is hovered.
backgroundColor
string required
Background color on hover.
Accent colors for notification state indicators.
Color used for the state indicator.
CSS margin applied around each notification card.
fontFamily
string required
Font family for notification text.
Font size for notification text.
Overrides for unseen notifications.
Text color used when a notification is unseen.
backgroundColor
string required
Background color applied to unseen notifications.
Hover styles for unseen notifications.
backgroundColor
string required
Background color on hover for unseen notifications.
State indicator styling for unseen notifications.
Color for the unseen state indicator.
Overrides for unread notifications.
backgroundColor
string required
Background color applied to unread notifications.
Hover styles for unread notifications.
backgroundColor
string required
Background color on hover for unread notifications.
State indicator styling for unread notifications.
Color for the unread state indicator.
Text color used when a notification is unread.
Styling for confirmation and action dialogs.
backgroundColor
string required
Dialog background color.
accentColor
string required
Accent color for dialog buttons and highlights.
Launcher icon styling overrides.
borderColor
string required
CSS color used for the icon border.
Width of the launcher icon (any CSS length).
Top banner styling options.
Font size for banner text.
backgroundColor
string required
Banner background color.
Opacity applied to the banner background.
Badge styling for unseen notification counts.
backgroundColor
string required
Badge background color.
Header styling for the inbox modal.
Font size used in the header.
backgroundColor
string required
Header background color.
borderRadius
string required
Border radius applied to the header container.
fontFamily
string required
CSS font family for the header title.
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request PUT \
--url 'https://api.magicbell.com/v2/integrations/inbox/installations' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN" \
--data '{"images":{"emptyInboxUrl":""},"locale":"de","theme":{"banner":{"backgroundColor":"#F8F5FF","fontSize":"14px","textColor":"#3A424D"},"dialog":{"accentColor":"#5225C1","backgroundColor":"#F5F5F5","textColor":"#313131"},"footer":{"backgroundColor":"#FFFFFF","borderRadius":"16px","fontFamily":"inherit","fontSize":"15px","textColor":"#5225C1"},"header":{"backgroundColor":"#FFFFFF","borderRadius":"16px","fontFamily":"inherit","fontSize":"15px","textColor":"#5225C1"},"icon":{"borderColor":"#EDEDEF","width":"24px"},"unseenBadge":{"backgroundColor":"#F80808"}}}'
{
"images": { "emptyInboxUrl": "" },
"locale": "de",
"theme": {
"banner": {
"backgroundColor": "#F8F5FF",
"fontSize": "14px",
"textColor": "#3A424D"
},
"dialog": {
"accentColor": "#5225C1",
"backgroundColor": "#F5F5F5",
"textColor": "#313131"
},
"footer": {
"backgroundColor": "#FFFFFF",
"borderRadius": "16px",
"fontFamily": "inherit",
"fontSize": "15px",
"textColor": "#5225C1"
},
"header": {
"backgroundColor": "#FFFFFF",
"borderRadius": "16px",
"fontFamily": "inherit",
"fontSize": "15px",
"textColor": "#5225C1"
},
"icon": { "borderColor": "#EDEDEF", "width": "24px" },
"unseenBadge": { "backgroundColor": "#F80808" }
}
}
Start an Inbox installation POST /integrations/inbox/installations/start
Initiates the installation flow for an Inbox integration. This is the first step in a multi-step installation process where user authorization or external service configuration may be required.
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request POST \
--url 'https://api.magicbell.com/v2/integrations/inbox/installations/start' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN"
{
"images": { "emptyInboxUrl": "" },
"locale": "de",
"theme": {
"banner": {
"backgroundColor": "#F8F5FF",
"fontSize": "14px",
"textColor": "#3A424D"
},
"dialog": {
"accentColor": "#5225C1",
"backgroundColor": "#F5F5F5",
"textColor": "#313131"
},
"footer": {
"backgroundColor": "#FFFFFF",
"borderRadius": "16px",
"fontFamily": "inherit",
"fontSize": "15px",
"textColor": "#5225C1"
},
"header": {
"backgroundColor": "#FFFFFF",
"borderRadius": "16px",
"fontFamily": "inherit",
"fontSize": "15px",
"textColor": "#5225C1"
},
"icon": { "borderColor": "#EDEDEF", "width": "24px" },
"unseenBadge": { "backgroundColor": "#F80808" }
}
}
Save an Inbox integration Updates or creates the Inbox integration for the project.
Request body images
nullable object required
Image overrides for assets used in the inbox UI.
emptyInboxUrl
string required
URL for the illustration shown when the inbox is empty.
locale
nullable string required
Locale code (ISO language tag) used to localize built-in strings.
theme
nullable object required
Visual customization options for the hosted inbox widget.
Styling overrides for notification list items.
Base styles applied to every notification item.
Default text color for notifications.
borderRadius
string required
Border radius applied to each notification card.
backgroundColor
string required
Background color for notifications in their default state.
Styles applied when a notification is hovered.
backgroundColor
string required
Background color on hover.
Accent colors for notification state indicators.
Color used for the state indicator.
CSS margin applied around each notification card.
fontFamily
string required
Font family for notification text.
Font size for notification text.
Overrides for unseen notifications.
Hover styles for unseen notifications.
backgroundColor
string required
Background color on hover for unseen notifications.
State indicator styling for unseen notifications.
Color for the unseen state indicator.
Text color used when a notification is unseen.
backgroundColor
string required
Background color applied to unseen notifications.
Overrides for unread notifications.
Text color used when a notification is unread.
backgroundColor
string required
Background color applied to unread notifications.
Hover styles for unread notifications.
backgroundColor
string required
Background color on hover for unread notifications.
State indicator styling for unread notifications.
Color for the unread state indicator.
Styling for confirmation and action dialogs.
backgroundColor
string required
Dialog background color.
accentColor
string required
Accent color for dialog buttons and highlights.
Launcher icon styling overrides.
borderColor
string required
CSS color used for the icon border.
Width of the launcher icon (any CSS length).
Top banner styling options.
backgroundColor
string required
Banner background color.
Opacity applied to the banner background.
Font size for banner text.
Badge styling for unseen notification counts.
backgroundColor
string required
Badge background color.
Header styling for the inbox modal.
fontFamily
string required
CSS font family for the header title.
Font size used in the header.
backgroundColor
string required
Header background color.
borderRadius
string required
Border radius applied to the header container.
Footer styling for the inbox modal.
Font size used in the footer.
backgroundColor
string required
Footer background color.
borderRadius
string required
Border radius applied to the footer container.
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request PUT \
--url 'https://api.magicbell.com/v2/integrations/inbox' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN" \
--data '{"images":{"emptyInboxUrl":""},"locale":"de","theme":{"banner":{"backgroundColor":"#F8F5FF","fontSize":"14px","textColor":"#3A424D"},"dialog":{"accentColor":"#5225C1","backgroundColor":"#F5F5F5","textColor":"#313131"},"footer":{"backgroundColor":"#FFFFFF","borderRadius":"16px","fontFamily":"inherit","fontSize":"15px","textColor":"#5225C1"},"header":{"backgroundColor":"#FFFFFF","borderRadius":"16px","fontFamily":"inherit","fontSize":"15px","textColor":"#5225C1"},"icon":{"borderColor":"#EDEDEF","width":"24px"},"unseenBadge":{"backgroundColor":"#F80808"}}}'
{
"images": { "emptyInboxUrl": "" },
"locale": "de",
"theme": {
"banner": {
"backgroundColor": "#F8F5FF",
"fontSize": "14px",
"textColor": "#3A424D"
},
"dialog": {
"accentColor": "#5225C1",
"backgroundColor": "#F5F5F5",
"textColor": "#313131"
},
"footer": {
"backgroundColor": "#FFFFFF",
"borderRadius": "16px",
"fontFamily": "inherit",
"fontSize": "15px",
"textColor": "#5225C1"
},
"header": {
"backgroundColor": "#FFFFFF",
"borderRadius": "16px",
"fontFamily": "inherit",
"fontSize": "15px",
"textColor": "#5225C1"
},
"icon": { "borderColor": "#EDEDEF", "width": "24px" },
"unseenBadge": { "backgroundColor": "#F80808" }
}
}
Delete an Inbox integration DELETE /integrations/inbox
Deletes the Inbox integration configuration from the project. This will disable the integration's functionality within the project.
Query parameters the unique identifier of the integration to be deleted
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request DELETE \
--url 'https://api.magicbell.com/v2/integrations/inbox' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN"
List all Inbox integrations Retrieves the current Inbox integration configurations for a specific integration type in the project. Returns configuration details and status information.
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request GET \
--url 'https://api.magicbell.com/v2/integrations/inbox' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN"
{
"data":[{
"name": "<provider-name>",
"id": "123",
"config": {
"images": { "emptyInboxUrl": "" },
"locale": "de",
"theme": {
"banner": {
"backgroundColor": "#F8F5FF",
"fontSize": "14px",
"textColor": "#3A424D"
},
"dialog": {
"accentColor": "#5225C1",
"backgroundColor": "#F5F5F5",
"textColor": "#313131"
},
"footer": {
"backgroundColor": "#FFFFFF",
"borderRadius": "16px",
"fontFamily": "inherit",
"fontSize": "15px",
"textColor": "#5225C1"
},
"header": {
"backgroundColor": "#FFFFFF",
"borderRadius": "16px",
"fontFamily": "inherit",
"fontSize": "15px",
"textColor": "#5225C1"
},
"icon": { "borderColor": "#EDEDEF", "width": "24px" },
"unseenBadge": { "backgroundColor": "#F80808" }
}
}
}],
"links": {
"first":"https://api.magicbell.com/v1/example",
"next":"https://api.magicbell.com/v1/example?page_next=abc",
"prev":null
}
}Magicbell Slackbot Provision the hosted Slackbot that delivers actionable notifications into Slack without you maintaining an app. Ideal when you want a turnkey shared Slack experience.
PUT /integrations/magicbell_slackbot/installations
POST /integrations/magicbell_slackbot/installations/start
POST /integrations/magicbell_slackbot/installations/finish
PUT /integrations/magicbell_slackbot
DELETE /integrations/magicbell_slackbot
GET /integrations/magicbell_slackbotThe Magicbell Slackbot object The Magicbell Slackbot object
{
"data": [
{
"name": "<provider-name>",
"id": "123",
"config": {
"enabled": true
}
}
],
"links": {
"first": "https://api.magicbell.com/v1/example",
"next": "https://api.magicbell.com/v1/example?page_next=abc",
"prev": null
}
}Save a MagicBell SlackBot installation PUT /integrations/magicbell_slackbot/installations
Creates a new installation of a MagicBell SlackBot integration for a user. This endpoint is used when an integration needs to be set up with user-specific credentials or configuration.
Request body access_token
string required
Bot token returned from the Slack OAuth exchange.
Slack app identifier for the installed app.
authed_user
object required
User token returned from the OAuth exchange.
Refresh token for the authed user.
Slack user ID for the installer.
Token type value provided by Slack.
Seconds until the user token expires.
Space-delimited OAuth scopes granted to the user token.
Slack user ID of the installed bot.
Enterprise grid identifier.
Seconds until the bot access token expires.
Unique identifier MagicBell assigns to the Slack installation.
Human readable name for the webhook channel.
configuration_url
string required
URL users can visit to manage the webhook.
Webhook URL that Slack posts events to.
is_enterprise_install
boolean
Indicates whether the installation occurred on an enterprise grid.
Refresh token for regenerating the bot access token.
Space-delimited OAuth scopes granted to the bot token.
Workspace name where the app was installed.
Workspace ID where the app was installed.
Type of bot token returned by Slack.
Request
curl magicbell-go magicbell-js Copy curl --request PUT \
--url 'https://api.magicbell.com/v2/integrations/magicbell_slackbot/installations' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN" \
--data '{"id":"A12345678-T123","access_token":"xoxb-123456789012-1234567890123-12345678901234567890abcdef123456","scope":"identify,commands,bot","team_name":"Team Installing Your App","team_id":"T12345678","enterprise_id":"E12345678","enterprise_name":"Enterprise Grid, Inc.","bot_user_id":"U12345678","app_id":"A12345678","authed_user":{"id":"U12345678","scope":"identify,commands"},"incoming_webhook":{"channel":"C12345678","channel_id":"C12345678","configuration_url":"https://teamname.slack.com/services/B12345678","url":"https://hooks.slack.com/services/T12345678/B12345678/123456789012345678901234"},"team":{"name":"Team Installing Your App","id":"T123"}}'
{
"id": "A12345678-T123",
"access_token": "xoxb-123456789012-1234567890123-12345678901234567890abcdef123456",
"scope": "identify,commands,bot",
"team_name": "Team Installing Your App",
"team_id": "T12345678",
"enterprise_id": "E12345678",
"enterprise_name": "Enterprise Grid, Inc.",
"bot_user_id": "U12345678",
"app_id": "A12345678",
"authed_user": {
"id": "U12345678",
"scope": "identify,commands"
},
"incoming_webhook": {
"channel": "C12345678",
"channel_id": "C12345678",
"configuration_url": "https://teamname.slack.com/services/B12345678",
"url": "https://hooks.slack.com/services/T12345678/B12345678/123456789012345678901234"
},
"team": {
"name": "Team Installing Your App",
"id": "T123"
}
}
Start a MagicBell SlackBot installation POST /integrations/magicbell_slackbot/installations/start
Initiates the installation flow for a MagicBell SlackBot integration. This is the first step in a multi-step installation process where user authorization or external service configuration may be required.
Request body Slack app ID that the installation flow should use.
Optional override for the authorization URL returned to the client.
Additional OAuth scopes to request during installation.
Custom redirect URL to use after OAuth completes.
Request
curl magicbell-go magicbell-js Copy curl --request POST \
--url 'https://api.magicbell.com/v2/integrations/magicbell_slackbot/installations/start' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN" \
--data '{"app_id":"12345678901","auth_url":"https://example.com/auth","redirect_url":"https://example.com/redirect","extra_scopes":["scope1","scope2"]}'
{
"app_id": "app-id",
"auth_url": "https://slack.com/oauth/v2/authorize?client_id=app-id&scope=channels:read,chat:write",
"scopes": [
"channels:read",
"chat:write"
]
}Finish a MagicBell SlackBot installation POST /integrations/magicbell_slackbot/installations/finish
Completes the installation flow for the MagicBell SlackBot integration. This endpoint is typically called after the user has completed any required authorization steps with MagicBell SlackBot.
Request body The app ID of the Slack app that was originally configured at the project-level.
The code that was returned from the OAuth flow, and found in the query string of the redirect URL.
Request
curl magicbell-go magicbell-js Copy curl --request POST \
--url 'https://api.magicbell.com/v2/integrations/magicbell_slackbot/installations/finish' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN" \
--data '{"app_id":"12345678901","code":"string","redirect_url":"string"}'
{
"id": "A12345678-T123",
"access_token": "xoxb-123456789012-1234567890123-12345678901234567890abcdef123456",
"scope": "identify,commands,bot",
"team_name": "Team Installing Your App",
"team_id": "T12345678",
"enterprise_id": "E12345678",
"enterprise_name": "Enterprise Grid, Inc.",
"bot_user_id": "U12345678",
"app_id": "A12345678",
"authed_user": {
"id": "U12345678",
"scope": "identify,commands"
},
"incoming_webhook": {
"channel": "C12345678",
"channel_id": "C12345678",
"configuration_url": "https://teamname.slack.com/services/B12345678",
"url": "https://hooks.slack.com/services/T12345678/B12345678/123456789012345678901234"
},
"team": {
"name": "Team Installing Your App",
"id": "T123"
}
}
Save a MagicBell SlackBot integration PUT /integrations/magicbell_slackbot
Updates or creates the MagicBell SlackBot integration for the project.
Request
curl magicbell-go magicbell-js Copy curl --request PUT \
--url 'https://api.magicbell.com/v2/integrations/magicbell_slackbot' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN" \
--data '{"enabled":true}'
Delete a MagicBell SlackBot integration DELETE /integrations/magicbell_slackbot
Deletes the MagicBell SlackBot integration configuration from the project. This will disable the integration's functionality within the project.
Query parameters the unique identifier of the integration to be deleted
Request
curl magicbell-go magicbell-js Copy curl --request DELETE \
--url 'https://api.magicbell.com/v2/integrations/magicbell_slackbot' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN"
List all MagicBell SlackBot integrations GET /integrations/magicbell_slackbot
Retrieves the current MagicBell SlackBot integration configurations for a specific integration type in the project. Returns configuration details and status information.
Request
curl magicbell-go magicbell-js Copy curl --request GET \
--url 'https://api.magicbell.com/v2/integrations/magicbell_slackbot' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN"
{
"data":[{
"name": "<provider-name>",
"id": "123",
"config": {
"enabled": true
}
}],
"links": {
"first":"https://api.magicbell.com/v1/example",
"next":"https://api.magicbell.com/v1/example?page_next=abc",
"prev":null
}
}Mailgun Connect Mailgun so you can deliver notifications using your existing domains, routes, and analytics.
PUT /integrations/mailgun
DELETE /integrations/mailgun
GET /integrations/mailgunThe Mailgun object {
"data": [
{
"name": "<provider-name>",
"id": "123",
"config": {
"from": {
"name": "Example",
"email": "[email protected] "
},
"api_key": "key-3ax6xnjp29jd6fds4gc373sgvjxteol0",
"region": "us",
"domain": "example.com"
}
}
],
"links": {
"first": "https://api.magicbell.com/v1/example",
"next": "https://api.magicbell.com/v1/example?page_next=abc",
"prev": null
}
}Save a Mailgun integration Updates or creates the Mailgun integration for the project.
Request body The email address to send from
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request PUT \
--url 'https://api.magicbell.com/v2/integrations/mailgun' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN" \
--data '{"from":{"name":"Example","email":"[email protected] "},"api_key":"key-3ax6xnjp29jd6fds4gc373sgvjxteol0","region":"us","domain":"example.com"}'
{
"from": {
"name": "Example",
"email": "[email protected] "
},
"api_key": "key-3ax6xnjp29jd6fds4gc373sgvjxteol0",
"region": "us",
"domain": "example.com"
}
Delete a Mailgun integration DELETE /integrations/mailgun
Deletes the Mailgun integration configuration from the project. This will disable the integration's functionality within the project.
Query parameters the unique identifier of the integration to be deleted
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request DELETE \
--url 'https://api.magicbell.com/v2/integrations/mailgun' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN"
List all Mailgun integrations Retrieves the current Mailgun integration configurations for a specific integration type in the project. Returns configuration details and status information.
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request GET \
--url 'https://api.magicbell.com/v2/integrations/mailgun' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN"
{
"data":[{
"name": "<provider-name>",
"id": "123",
"config": {
"from": {
"name": "Example",
"email": "[email protected] "
},
"api_key": "key-3ax6xnjp29jd6fds4gc373sgvjxteol0",
"region": "us",
"domain": "example.com"
}
}],
"links": {
"first":"https://api.magicbell.com/v1/example",
"next":"https://api.magicbell.com/v1/example?page_next=abc",
"prev":null
}
}Ping Email Synthetic email integration that helps you validate deliverability SLAs by periodically sending canary messages.
PUT /integrations/ping_email
DELETE /integrations/ping_email
GET /integrations/ping_emailThe Ping Email object {
"data": [
{
"name": "<provider-name>",
"id": "123",
"config": {
"url": "https://example.com/webhook"
}
}
],
"links": {
"first": "https://api.magicbell.com/v1/example",
"next": "https://api.magicbell.com/v1/example?page_next=abc",
"prev": null
}
}Save a Ping Email integration PUT /integrations/ping_email
Updates or creates the Ping Email integration for the project.
Request body URL to ping
format: uri
min length: 1
max length: 100
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request PUT \
--url 'https://api.magicbell.com/v2/integrations/ping_email' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN" \
--data '{"url":"https://example.com/webhook"}'
{
"url": "https://example.com/webhook"
}
Delete a Ping Email integration DELETE /integrations/ping_email
Deletes the Ping Email integration configuration from the project. This will disable the integration's functionality within the project.
Query parameters the unique identifier of the integration to be deleted
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request DELETE \
--url 'https://api.magicbell.com/v2/integrations/ping_email' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN"
List all Ping Email integrations GET /integrations/ping_email
Retrieves the current Ping Email integration configurations for a specific integration type in the project. Returns configuration details and status information.
Request
curl magicbell-cli magicbell-go magicbell-js Copy curl --request GET \
--url 'https://api.magicbell.com/v2/integrations/ping_email' \
--header 'content-type: application/json' \
--header "authorization: Bearer $TOKEN"
{
"data":[{
"name": "<provider-name>",
"id": "123",
"config": {
"url": "https://example.com/webhook"
}
}],
"links": {
"first":"https://api.magicbell.com/v1/example",
"next":"https://api.magicbell.com/v1/example?page_next=abc",
"prev":null
}
[...]
